summaryrefslogtreecommitdiffstats
path: root/libraries/libxml++
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev@gmail.com>2010-05-11 22:54:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:15 +0200
commitbcb4c59c95ed7586f595c616eca8619a0166ca9c (patch)
tree140c182273031801270f57f5ce472aa5ab4cfa27 /libraries/libxml++
parent10f1c5a73ba4981637ca4a0ecedad77b28d51a62 (diff)
downloadslackbuilds-bcb4c59c95ed7586f595c616eca8619a0166ca9c.tar.gz
slackbuilds-bcb4c59c95ed7586f595c616eca8619a0166ca9c.tar.xz
libraries/libxml++: Added to 12.1 repository
Diffstat (limited to 'libraries/libxml++')
-rw-r--r--libraries/libxml++/README5
-rw-r--r--libraries/libxml++/libxml++.SlackBuild61
-rw-r--r--libraries/libxml++/libxml++.info8
-rw-r--r--libraries/libxml++/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/libraries/libxml++/README b/libraries/libxml++/README
new file mode 100644
index 0000000000..07b8a2cbcd
--- /dev/null
+++ b/libraries/libxml++/README
@@ -0,0 +1,5 @@
+libxml++ is a C++ wrapper for the libxml XML parser library. Its original
+author is Ari Johnson and it is currently maintained by Christophe de
+Vienne and Murray Cumming. It is released under the LGPL version 2 or above.
+
+Requires: glibmm (build script available at SlackBuilds.org)
diff --git a/libraries/libxml++/libxml++.SlackBuild b/libraries/libxml++/libxml++.SlackBuild
new file mode 100644
index 0000000000..5ec7c886a6
--- /dev/null
+++ b/libraries/libxml++/libxml++.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for libxml++
+# Written by Iskar Enev <iskar.enev[@]gmail.com>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# Modified by Michiel van Wessem <michiel@slackbuilds.org>
+
+PRGNAM=libxml++
+VERSION=2.20.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM-2.6/docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libxml++/libxml++.info b/libraries/libxml++/libxml++.info
new file mode 100644
index 0000000000..2d60f43c31
--- /dev/null
+++ b/libraries/libxml++/libxml++.info
@@ -0,0 +1,8 @@
+PRGNAM="libxml++"
+VERSION="2.20.0"
+HOMEPAGE="http://libxmlplusplus.sourceforge.net"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.20/libxml++-2.20.0.tar.bz2"
+MD5SUM="4fe6ae1344e523ea4756733be71f9af3"
+MAINTAINER="Iskar Enev"
+EMAIL="iskar.enev@gmail.com"
+APPROVED="rworkman, Michiel"
diff --git a/libraries/libxml++/slack-desc b/libraries/libxml++/slack-desc
new file mode 100644
index 0000000000..c3439c14ae
--- /dev/null
+++ b/libraries/libxml++/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libxml++: libxml++ (C++ wrapper for the libxml XML parser library)
+libxml++:
+libxml++: libxml++ is a C++ wrapper for the libxml XML parser library. Its
+libxml++: original author is Ari Johnson and it is currently maintained by
+libxml++: Christophe de Vienne and Murray Cumming. It is released under the
+libxml++: LGPL version 2 or above.
+libxml++:
+libxml++:
+libxml++:
+libxml++:
+libxml++: